clang-tools 10.0.0

Classes | Namespaces | Functions
ClangTidyDiagnosticConsumer.cpp File Reference
`#include "ClangTidyDiagnosticConsumer.h"`
`#include "ClangTidyOptions.h"`
`#include "GlobList.h"`
`#include "clang/AST/ASTDiagnostic.h"`
`#include "clang/AST/Attr.h"`
`#include "clang/Basic/Diagnostic.h"`
`#include "clang/Basic/DiagnosticOptions.h"`
`#include "clang/Frontend/DiagnosticRenderer.h"`
`#include "clang/Tooling/Core/Diagnostic.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallString.h"`
`#include <tuple>`
`#include <vector>`
Include dependency graph for ClangTidyDiagnosticConsumer.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::ClangTidyContext::CachedGlobList

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy

## Functions
static bool | IsNOLINTFound (StringRef NolintDirectiveText, StringRef Line, unsigned DiagID, const ClangTidyContext &Context)
static bool | LineIsMarkedWithNOLINT (const SourceManager &SM, SourceLocation Loc, unsigned DiagID, const ClangTidyContext &Context)
static bool | LineIsMarkedWithNOLINTinMacro (const SourceManager &SM, SourceLocation Loc, unsigned DiagID, const ClangTidyContext &Context)
bool | clang::tidy::shouldSuppressDiagnostic (DiagnosticsEngine::Level DiagLevel, const Diagnostic &Info, ClangTidyContext &Context, bool CheckMacroExpansion=true)
| Check whether a given diagnostic should be suppressed due to the presence of a "NOLINT" suppression comment. More...

## Function Documentation

## ◆ IsNOLINTFound()

static bool IsNOLINTFound | ( | StringRef | NolintDirectiveText,
|  | StringRef | Line,
|  | unsigned | DiagID,
|  | const ClangTidyContext & | Context
| ) |  |
| static

Definition at line 267 of file ClangTidyDiagnosticConsumer.cpp.

References Checks(), and clang::tidy::ClangTidyContext::getCheckName().

## ◆ LineIsMarkedWithNOLINT()

static bool LineIsMarkedWithNOLINT | ( | const SourceManager & | SM,
|  | SourceLocation | Loc,
|  | unsigned | DiagID,
|  | const ClangTidyContext & | Context
| ) |  |
| static

Definition at line 296 of file ClangTidyDiagnosticConsumer.cpp.

Referenced by clang::tidy::shouldSuppressDiagnostic().

## ◆ LineIsMarkedWithNOLINTinMacro()

static bool LineIsMarkedWithNOLINTinMacro | ( | const SourceManager & | SM,
|  | SourceLocation | Loc,
|  | unsigned | DiagID,
|  | const ClangTidyContext & | Context
| ) |  |
| static

Definition at line 342 of file ClangTidyDiagnosticConsumer.cpp.

Referenced by clang::tidy::shouldSuppressDiagnostic().